DatabaseProject/Controllers/DistributionController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DatabaseProject.Controllers
{
    public class DistributionController : Controller
    {
        private ScerpEntities db = new ScerpEntities();


        public ActionResult CreateDistributor()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_CreateDistributors");
        }

        //
        // GET: /Distribution/

        public ActionResult Index()
        {
            var distributions = db.distributions.Include(d => d.distributor).Include(d => d.stock);
            return View(distributions.ToList());
        }

        //
        // GET: /Distribution/Details/5

        public ActionResult Details(int id = 0)
        {
            distribution distribution = db.distributions.Find(id);
            if (distribution == null)
            {
                return HttpNotFound();
            }
            return View(distribution);
        }

        //
        // GET: /Distribution/Create

        public ActionResult Create()
        {
            ViewBag.id_distributors = new SelectList(db.distributors, "id_distributors", "name");
            ViewBag.id_stocks = new SelectList(db.stocks, "id_stocks", "name");
            return View();
        }

        //
        // POST: /Distribution/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(distribution distribution)
        {
            if (ModelState.IsValid)
            {
                db.distributions.Add(distribution);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.id_distributors = new SelectList(db.distributors, "id_distributors", "name", distribution.id_distributors);
            ViewBag.id_stocks = new SelectList(db.stocks, "id_stocks", "name", distribution.id_stocks);
            return View(distribution);
        }

        //
        // GET: /Distribution/Edit/5

        public ActionResult Edit(int id = 0)
        {
            distribution distribution = db.distributions.Find(id);
            if (distribution == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_distributors = new SelectList(db.distributors, "id_distributors", "name", distribution.id_distributors);
            ViewBag.id_stocks = new SelectList(db.stocks, "id_stocks", "name", distribution.id_stocks);
            return View(distribution);
        }

        //
        // POST: /Distribution/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(distribution distribution)
        {
            if (ModelState.IsValid)
            {
                db.Entry(distribution).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_distributors = new SelectList(db.distributors, "id_distributors", "name", distribution.id_distributors);
            ViewBag.id_stocks = new SelectList(db.stocks, "id_stocks", "name", distribution.id_stocks);
            return View(distribution);
        }

        //
        // GET: /Distribution/Delete/5

        public ActionResult Delete(int id = 0)
        {
            distribution distribution = db.distributions.Find(id);
            if (distribution == null)
            {
                return HttpNotFound();
            }
            return View(distribution);
        }

        //
        // POST: /Distribution/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            distribution distribution = db.distributions.Find(id);
            db.distributions.Remove(distribution);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

DatabaseProject/Controllers/PersonInfoController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DatabaseProject.Controllers
{
    public class PersonInfoController : Controller
    {
        private ScerpEntities db = new ScerpEntities();

        //
        // GET: /PersonInfo/

        public ActionResult Index()
        {
            var person_info = db.person_info.Include(p => p.person_type);
            return View(person_info.ToList());
        }

        //
        // GET: /PersonInfo/Details/5

        public ActionResult Details(int id = 0)
        {
            person_info person_info = db.person_info.Find(id);
            if (person_info == null)
            {
                return HttpNotFound();
            }
            return View(person_info);
        }

        //
        // GET: /PersonInfo/Create

        public ActionResult Create()
        {
            ViewBag.id_type = new SelectList(db.person_type, "id_type", "name");
            return View();
        }

        //
        // POST: /PersonInfo/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(person_info person_info, int temp)
        {

            if (temp == 1)
            {
                person_info.id_type = 1;
                if (ModelState.IsValid)
                {
                    db.person_info.Add(person_info);
                    db.SaveChanges();
                    return RedirectToAction("Index");
                }
            }
            else if (temp == 2)
            {
                try
                {
                    db.person_info.Add(person_info);
                    db.SaveChanges();
                    return Json(new { success = true });
                }
                catch (Exception e)
                {
                    return Json(new { success = false });
                }
            }

            ViewBag.id_type = new SelectList(db.person_type, "id_type", "name", person_info.id_type);
            return View(person_info);
        }

        //
        // GET: /PersonInfo/Edit/5

        public ActionResult Edit(int id = 0)
        {
            person_info person_info = db.person_info.Find(id);
            if (person_info == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_type = new SelectList(db.person_type, "id_type", "name", person_info.id_type);
            return View(person_info);
        }

        //
        // POST: /PersonInfo/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(person_info person_info)
        {
            if (ModelState.IsValid)
            {
                db.Entry(person_info).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_type = new SelectList(db.person_type, "id_type", "name", person_info.id_type);
            return View(person_info);
        }

        //
        // GET: /PersonInfo/Delete/5

        public ActionResult Delete(int id = 0)
        {
            person_info person_info = db.person_info.Find(id);

            ViewBag.Deletethis = person_info.name;
            return PartialView("_Confirmation");
        }

        //
        // POST: /PersonInfo/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            try
            {
                person_info person_info = db.person_info.Find(id);
                db.person_info.Remove(person_info);
                db.SaveChanges();
                return Json(new { success = true });
            }
            catch (Exception e)
            {
                return Json(new { success = false });
            }
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

DatabaseProject/Controllers/ProductController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DatabaseProject.Controllers
{
    public class ProductController : Controller
    {
        private ScerpEntities db = new ScerpEntities();

        //
        // GET: /Product/

        public ActionResult Index()
        {
            return View(db.products.ToList());
        }

        //
        // GET: /Product/Details/5

        public ActionResult Details(int id = 0)
        {
            product product = db.products.Find(id);
            if (product == null)
            {
                return HttpNotFound();
            }
            return View(product);
        }

        //
        // GET: /Product/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Product/Create

        [HttpPost]
        //[ValidateAntiForgeryToken]
        public ActionResult Create(product product,int temp)
        {

            if (temp == 1)
            {
                if (ModelState.IsValid)
                {
                    db.products.Add(product);
                    db.SaveChanges();
                    return RedirectToAction("Index");
                }
            }
            else if (temp == 2)
            {
                try
                {
                    db.products.Add(product);
                    db.SaveChanges();
                    return Json(new { success = true });
                }
                catch (Exception e)
                {
                    return Json(new { success = false });
                }
            }


            return View(product);
        }

        //
        // GET: /Product/Edit/5

        public ActionResult Edit(int id = 0)
        {
            product product = db.products.Find(id);
            if (product == null)
            {
                return HttpNotFound();
            }
            return View(product);
        }

        //
        // POST: /Product/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(product product)
        {
            if (ModelState.IsValid)
            {
                db.Entry(product).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(product);
        }

        //
        // GET: /Product/Delete/5

        public ActionResult Delete(int id = 0)
        {
            product product = db.products.Find(id);
            //if (product == null)
            //{
            //    return HttpNotFound();
            //}
            //return View(product);
            ViewBag.Deletethis = product.name;
            return PartialView("_Confirmation");
        }

        //
        // POST: /Product/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            try
            {
                product product = db.products.Find(id);
                db.products.Remove(product);
                db.SaveChanges();
                return Json(new { success = true });
            }
            catch (Exception e)
            {
                return Json(new { success = false });
            }
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

DatabaseProject/Controllers/StocksController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DatabaseProject.Controllers
{
    public class StocksController : Controller
    {
        private ScerpEntities db = new ScerpEntities();

        //
        // GET: /Stocks/

        public ActionResult Index()
        {
            var stocks = db.stocks.Include(s => s.product).Include(s => s.warehouse);
            return View(stocks.ToList());
        }

        //
        // GET: /Stocks/Details/5

        public ActionResult Details(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            if (stock == null)
            {
                return HttpNotFound();
            }
            return View(stock);
        }

        //
        // GET: /Stocks/Create

        public ActionResult Create()
        {
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id");
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name");
            return View();
        }

        //
        // POST: /Stocks/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(stock stock)
        {
            if (ModelState.IsValid)
            {
                db.stocks.Add(stock);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // GET: /Stocks/Edit/5

        public ActionResult Edit(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            if (stock == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // POST: /Stocks/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(stock stock)
        {
            if (ModelState.IsValid)
            {
                db.Entry(stock).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // GET: /Stocks/Delete/5

        public ActionResult Delete(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            //if (stock == null)
            //{
            //    return HttpNotFound();
            //}
            //return View(stock);
            ViewBag.Deletethis = stock.name;
            return PartialView("_ConfirmStockDelete");
        }

        //
        // POST: /Stocks/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            try
            {
                stock stock = db.stocks.Find(id);
                db.stocks.Remove(stock);
                db.SaveChanges();
                return Json(new { success = true });
            }
            catch (Exception e)
            {
                return Json(new { success = false });
            }
        }

        public ActionResult CreateWarehouse()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_CreateWarehouse");
        }

        public ActionResult CreateProduct()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_Createproduct");
        }

        public ActionResult CreatePerson()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_CreatePerson");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

DatabaseProject/Views/Shared/_ConfirmStockDelete.cshtml
@model DatabaseProject.stock

<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
    <h3 id="myModalLabel">Confirm Delete..</h3>
</div>
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <div class="modal-body">
        <h3>R u sure to delete @ViewBag.Deletethis ?</h3>
    </div>

    <div class="modal-footer">
        <button class="btn" data-dismiss="modal" aria-hidden="true">Undo</button>
        <button class="btn btn-primary" type="submit" value="Delete">Delete</button>
    </div>

}

DatabaseProject/Views/Shared/_CreatePerson.cshtml
@model DatabaseProject.person_info

<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
    <h3 id="myModalLabel">Confirm Delete..</h3>
</div>

@using (Html.BeginForm("Create", "Product", new { temp = 2 }, FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Person Info</legend>

        <div class="col-lg-2 control-label">
            <label for="name">Name</label>
        </div>
        <div class="col-lg-10">
            <input class="form-control" id="name" name="name" type="text" value="">
            <span class="field-validation-valid" data-valmsg-for="name" data-valmsg-replace="true"></span>
            <br />
        </div>

        <div class="col-lg-2 control-label">
            <label for="description">Description</label>
        </div>
        <div class="col-lg-10">
            <input class="form-control" id="description" name="description" type="text" value="">
            <span class="field-validation-valid" data-valmsg-for="description" data-valmsg-replace="true"></span>
            <br />
        </div>

        <div class="col-lg-2 control-label">
            <label for="address">Address</label>
        </div>
        <div class="col-lg-10">
            <input class="form-control" id="address" name="address" type="text" value="">
            <span class="field-validation-valid" data-valmsg-for="address" data-valmsg-replace="true"></span>
            <br />
        </div>

        <div class="col-lg-2 control-label">
            <label for="contact_number">Contact Number</label>
        </div>
        <div class="col-lg-10">
            <input class="form-control" id="contact_number" name="contact_number" type="text" value="">
            <span class="field-validation-valid" data-valmsg-for="contact_number" data-valmsg-replace="true"></span>
            <br />
        </div>

        <p>
            <input type="submit" value="Create">
        </p>
    </fieldset>
}

DatabaseProject/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Manage Scerp</title>

    <!-- Bootstrap Core CSS -->
    <link href="~/Content/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="~/Content/SBAdmin/plugins/metisMenu/metisMenu.min.css" rel="stylesheet">

    <!-- Timeline CSS -->
    <link href="~/Content/SBAdmin/plugins/timeline.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="~/Content/SBAdmin/sb-admin-2.css" rel="stylesheet">

    <!-- Morris Charts CSS -->
    <link href="~/Content/SBAdmin/plugins/morris.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="~/Content/SBAdmin/font-awesome-4.2.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <script src="~/Scripts/jquery-2.1.1.js"></script>
    <script src="@Url.Content("~/Scripts/jquery.unobtrusive-ajax.min.js")" type="text/javascript"></script>
    <script src="~/Scripts/bootstrap.min.js"></script>

    <script src="~/Scripts/SBAdmin/plugins/metisMenu/metisMenu.min.js"></script>
    <script src="~/Scripts/SBAdmin/plugins/morris/raphael.min.js"></script>
    <script src="~/Scripts/SBAdmin/plugins/dataTables/jquery.dataTables.js"></script>
    <script src="~/Scripts/SBAdmin/plugins/dataTables/dataTables.bootstrap.js"></script>
    <script src="~/Scripts/SBAdmin/sb-admin-2.js"></script>
    <script src="~/Scripts/moment.js"></script>
    <script src="~/Scripts/bootstrap-datetimepicker.js"></script>
    

    @RenderSection("scripts", required: false)
</head>
<body>

    <div id="wrapper">

        <div id='dialogDiv' class="modal">
            <div class="modal-dialog">
                <div class="modal-content" id='dialogContent'>

                </div>
            </div>
        </div>

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="index.html">
                    <div class="icon">
                        <img src="~/Content/Images/scerp.png" width="50%" />
                    </div>
                </a>
            </div>

            <div class="navbar-default sidebar" role="navigation">
                <div class="sidebar-nav navbar-collapse">
                    <ul class="nav" id="side-menu">
                        <li class="active" id="fuck">
                            <a class="active" href="/Home/"><i class="fa fa-dashboard fa-fw"></i>Dashboard</a>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-inbox fa-fw"></i>Products<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "Product")" style="margin-left: 20px">Show All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "Product")" style="margin-left: 20px">Create New</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="tables.html"><i class="fa fa-table fa-fw"></i>Stocks<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "Stocks")">Show All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "Stocks")">Create New</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="forms.html"><i class="fa fa-edit fa-fw"></i>Manufacturing<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="panels-wells.html" style="margin-left: 20px">On Process..</a>
                                </li>
                                <li>
                                    <a href="buttons.html" style="margin-left: 20px">Delivered</a>
                                </li>
                                <li>
                                    <a href="#">Manufacturers<span class="fa arrow"></span></a>
                                    <ul class="nav nav-second-level collapse">
                                        <li>
                                            <a href="@Url.Action("Index", "Manufacturer")" style="margin-left: 40px">Show All</a>
                                        </li>
                                        <li>
                                            <a href="@Url.Action("Create", "Manufacturer")" style="margin-left: 40px">Create New Manufacturer</a>
                                        </li>
                                    </ul>

                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-share-alt fa-fw"></i>Distribution<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "Distribution")" style="margin-left: 20px">Browse All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "Distribution")" style="margin-left: 20px">Create New</a>
                                </li>
                                <li>
                                    <a href="#">Distributors<span class="fa arrow"></span></a>
                                    <ul class="nav nav-second-level collapse">
                                        <li>
                                            <a href="@Url.Action("Index", "Distributor")" style="margin-left: 40px">Show All</a>
                                        </li>
                                        <li>
                                            <a href="@Url.Action("Create", "Distributor")" style="margin-left: 40px">Create New Distributor</a>
                                        </li>
                                    </ul>

                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#"><i id="mf" class="fa fa-building fa-fw"></i>Warehouses<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "WareHouse")" style="margin-left: 20px">Browse All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "WareHouse")" style="margin-left: 20px">Create New</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#"><i class="fa fa-users fa-fw"></i>Human Resource<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level collapse">
                                <li>
                                    <a href="@Url.Action("Index", "PersonInfo")" style="margin-left: 20px">Browse All</a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Create", "PersonInfo")" style="margin-left: 20px">Create New Person</a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </div>

    <script type="text/javascript">

        $(document).ready(function () {

        $('[id=CreateNewLocationDiv1]').hide();
        $('[id=CreateNewLocationDiv2]').hide();
        $('[id=CreateNewLocationDiv3]').hide();
        $('#dataTables-example').dataTable();

        // tooltip demo
        $('.tooltip-demo').tooltip({
            selector: "[data-toggle=tooltip]",
            container: "body"
        })

        // popover demo
        $("[data-toggle=popover]")
            .popover()

        $("[id=Dash]").click(function () {
            alert("aaaaaa");
            $(".modal").modal("show");

        });
        $("#chkdwn1").click(function () {
            if ($(this).is(":checked")) {
                $(this).attr("value", "true");
                    $('[id=id_location]').attr("disabled", true);
                    $('[id=CreateNewLocationDiv1]').show();
            } else {
                $(this).attr("value", "false");
                    $('[id=id_location]').attr("disabled", false);
                    $('[id=CreateNewLocationDiv1]').hide();
                }
            });
            $("#chkdwn2").click(function () {
                if ($(this).is(":checked")) {
                    $(this).attr("value", "true");
                    $('[id=id_owner_person]').attr("disabled", true);
                    $('[id=CreateNewLocationDiv2]').show();
                } else {
                    $(this).attr("value", "false");
                    $('[id=id_owner_person]').attr("disabled", false);
                    $('[id=CreateNewLocationDiv2]').hide();
                }
            });
            $("#chkdwn3").click(function () {
                if ($(this).is(":checked")) {
                    $(this).attr("value", "1");
                    $('[id=id_contact_person]').attr("disabled", false);
                    $('[id=CreateNewLocationDiv3]').hide();
                }
            });
            $("#chkdwn4").click(function () {
                if ($(this).is(":checked")) {
                    $(this).attr("value", "2");
                    $('[id=id_contact_person]').attr("disabled", true);
                    $('[id=CreateNewLocationDiv3]').hide();
                }
            });
            $("#chkdwn5").click(function () {
                if ($(this).is(":checked")) {
                    $(this).attr("value", "3");
                    $('[id=id_contact_person]').attr("disabled", true);
                    $('[id=CreateNewLocationDiv3]').show();
                }
            });
        });

        $(function () {

            //Optional: turn the chache off
            //$.ajaxSetup({ cache: false });

            $('[id=btnCreate]').click(function () {
                $('#dialogContent').load(this.href, function () {
                    $('#dialogDiv').modal({
                        backdrop: 'static',
                        keyboard: true
                    }, 'show');
                    bindForm(this);
                });
                return false;
            });

        });
        function bindForm(dialog) {
            $('form', dialog).submit(function () {
                $.ajax({
                    url: this.action,
                    type: this.method,
                    data: $(this).serialize(),
                    success: function (result) {
                        if (result.success) {
                            $('#dialogDiv').modal('hide');
                            location.reload();
                        } else {
                            $('#dialogContent').html(result);
                            bindForm();
                        }
                    }
                });
                return false;
            });
        }

    </script>
    @RenderBody()

</body>
</html>